	common /block3/ card,player,dealer,next,np,nd,ptot
     &                  dtot,ncards,pt1,pt2,b1,b2

	integer card(417),player(12),dealer(12),next,np,nd
        integer ptot,dtot,ncards,pt1,pt2
	real b1,b2
